# -*- makefile -*-
# @configure_input@

# Use BASH per default. Set SHELL=/bin/sh in host-flags.<host> if needed.
SHELL=@BASH@
SET_MAKE=@SET_MAKE@

CYGWRAP=@CYGWRAP@
BASH=@BASH@

COMPILER_VERSION_CC=@COMPILER_VERSION_CC@
COMPILER_VERSION_CXX=@COMPILER_VERSION_CXX@

MAKE=@MAKE@

CC_PATH=@CC_PATH@
CC_PATH_LONG=@CC_PATH_LONG@
CC_PREFIX=@CC_PREFIX@
CC_PREFIX_LONG=@CC_PREFIX_LONG@
CC_TYPE=@CC_TYPE@

# ------------------------------------------------------------
# Location of source and build directory
# ------------------------------------------------------------
top_srcdir=@top_srcdir@
SIMICS_BASE=@SIMICS_BASE@
SIMICS_HOST=@SIMICS_HOST@
HOST_TYPE=@HOST_TYPE@
BUILD_DIR=@BUILD_DIR@

# ------------------------------------------------------------
# Profile driven compilation (Global switch)
# ------------------------------------------------------------
PROFILE_DRIVEN_CC=@PROFILE_DRIVEN_CC@

# ------------------------------------------------------------
# Misc configure-detected flags
# ------------------------------------------------------------
DEFS=@DEFS@
EXEEXT=@EXEEXT@
OBJEXT=@OBJEXT@
SO_PREFIX=@SO_PREFIX@
SO_SFX=@SO_SFX@
X_CFLAGS=@X_CFLAGS@
X_LIBS=@X_LIBS@
X_EXTRA_LIBS=@X_EXTRA_LIBS@
X_PRE_LIBS=@X_PRE_LIBS@

# ------------------------------------------------------------
# Libraries
# ------------------------------------------------------------
LIBPATH=@LIBPATH@
TOOLPATH=@TOOLPATH@
PACKAGE_PATH=@PACKAGE_PATH@

LIBS=@LIBS@

LIBBZ2=@LIBBZ2@
LIBDL=@LIBDL@
LIBEFENCE=@LIBEFENCE@
LIBELF=@LIBELF@
LIBGEN=@LIBGEN@
LIBIPHLPAPI=@LIBIPHLPAPI@
LIBNSL=@LIBNSL@
LIBPCAP=@LIBPCAP@
LIBPCL=@LIBPCL@
LIBPTHREAD=@LIBPTHREAD@
LIBREADLINE=@LIBREADLINE@
LIBZ=@LIBZ@
LIBUTIL=@LIBUTIL@
LIBSOCKET=@LIBSOCKET@
LIBGCC=@LIBGCC@
LIBWIN32=@LIBWIN32@
LIBST=@LIBST@
LIBMLD=@LIBMLD@
LIBSDL=@LIBSDL@
LIBRT=@LIBRT@

# ------------------------------------------------------------
# Programs
# ------------------------------------------------------------
AR=@AR@
AS=@AS@
AUTOCONF=@AUTOCONF@
AUTOHEADER=@AUTOHEADER@
AUTORECONF=@AUTORECONF@
AWK=@AWK@
BISON=@BISON@
CC=@CC@
CLEANUP=@CLEANUP@
COLUMN=@COLUMN@
CPP=@CPP@
CXX=@CXX@
ECHO=@ECHO@
FLEX=@FLEX@
INDENT=@INDENT@
JAVA=@JAVA@
LATEX=@LATEX@
LD=@LD@
LN_S=@LN_S@
MAKEINDEX=@MAKEINDEX@
MAKEINFO=@MAKEINFO@
MY_GCC=@MY_GCC@
NM=@NM@
OZENGINE=@OZENGINE@
PDFLATEX=@PDFLATEX@
PERL=@PERL@
PYTHON=@PYTHON@
RANLIB=@RANLIB@
RC=@RC@
SIMGEN=@SIMGEN@
STRIP=@STRIP@
YACC=@YACC@

# ------------------------------------------------------------
# Packages  and other misc. things.
# ------------------------------------------------------------

PYTHON_PACKAGE=@PYTHON_PACKAGE@
PYTHON_VERSION=@PYTHON_VERSION@

FLEXLM_PACKAGE=@FLEXLM_PACKAGE@
FLEXLM_INCLUDE=@FLEXLM_INCLUDE@
FLEXLM_LDFLAGS=@FLEXLM_LDFLAGS@

GTK_FRONTEND_CFLAGS=@GTK_FRONTEND_CFLAGS@
GTK_FRONTEND_LIBS=@GTK_FRONTEND_LIBS@

JDOCU=@JDOCU@
JDOCU_HOME=@JDOCU_HOME@
JDOCU_CLASSPATH=@JDOCU_CLASSPATH@

DISABLE_SIMICS_LICENSE=@DISABLE_SIMICS_LICENSE@

SIMICS_DISTRIB=@SIMICS_DISTRIB@

# ------------------------------------------------------------
# Include static configuration files.
# ------------------------------------------------------------

ifeq ($(HOST_TYPE_CHANGE_FROM),$(HOST_TYPE))
override HOST_TYPE=$(HOST_TYPE_CHANGE_TO)
endif

include $(SIMICS_BASE)/config/host-flags.common
